### Method

# Gimp Image undo_thaw

#### Declaration [src]

    gboolean
    gimp_image_undo_thaw (
      GimpImage* image
    )

#### Description [src]

Thaw the image’s undo stack.

This procedure thaws the image’s undo stack, allowing subsequent operations to store their undo steps. This is generally called in conjunction with `gimp_image_undo_freeze()` to temporarily freeze an image undo stack. `gimp_image_undo_thaw()` does NOT free the undo stack as `gimp_image_undo_enable()` does, so is suited for situations where one wishes to leave the undo stack in the same state in which one found it despite non-destructively playing with the image in the meantime. An example would be in-situ plug-in previews. Balancing freezes and thaws and ensuring image consistency is the responsibility of the caller.

#### Return value

Type: `gboolean`

TRUE if the image undo has been thawed.